Name:           python-snap-html
Version:        0.4.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        a robust, modern and high performance Python library for generating image from a html string/html file/url build on top of `playwright`

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/codustry/snap-html
Source:         %{pypi_source snap_html}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'snap-html' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-snap-html
Summary:        %{summary}

%description -n python3-snap-html %_description


%prep
%autosetup -p1 -n snap_html-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-snap-html -f %{pyproject_files}


%changelog
%autochangelog